%define short_version 0.8

Name:           identicurse
Version:        0.8.2
Release:        4%{?dist}
Summary:        Curses based Status.net client

Group:          Applications/Internet
License:        GPLv3+
URL:            http://identicurse.net/
Source0:        http://identicurse.net/release/%{short_version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel, python-setuptools, help2man
Requires:       python-setuptools, python-oauth

%description
A simple but powerful Identi.ca client with a curses-based UI.


%prep
%setup -q -n %{name}-%{short_version}


%build
%{__python} setup.py build
# We should use the pre-packaged version...
rm -rf build/lib/oauth/
# Statusnet is not it's own module (yet)
mv build/lib/statusnet/ build/lib/identicurse/


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%{_usr}/%{name}/* $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/

# Install the manpage
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
pushd $RPM_BUILD_ROOT/%{python_sitelib}/%{name} && help2man -n %{name} --no-info --version-string=%{version} --no-discard-stderr "python __init__.py" | sed -e "s|__init__.py|identicurse|g" | sed -e "s|__INIT__.PY|IDENTICURSE|g" | sed -e "s|PYTHON||"| sed -e "s|python identicurse|identicurse|g" > $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}.1  && popd


%files
%defattr(-,root,root,-)
%doc CHANGELOG INSTALL LICENSE README conf/config.json
# For noarch packages: sitelib
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-*.egg-info/
%{_bindir}/identicurse
%{_mandir}/man1/%{name}.1.gz


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Sep 25 2011 Steve Milner <me@stevemilner.org> - 0.8.2-1
- Update for new minor release. Please see CHANGELOG.
- Removed oauth bundle and added it as a package requirement.
- Moved statusnet module under identicurse.

* Thu May 14 2011 Steve Milner <me@stevemilner.org> - 0.7.3-1
- Update for new minor release. Please see CHANGELOG.
- added manpage

* Thu Feb 10 2011 Steve Milner <me@stevemilner.org> - 0.7.2-1
- Update for new minor release. Please see CHANGELOG.

* Thu Feb 10 2011 Steve Milner <me@stevemilner.org> - 0.7.1-1
- Update for new major release fixing many bugs.

* Thu Feb 10 2011 Steve Milner <me@stevemilner.org> - 0.6.4-1
- Update for patch release (see CHANGELOG)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 17 2011 Steve 'Ashcrow' Milner <me@stevemilner.org> - 0.6.3-1
- Update for patch release (see CHANGELOG)

* Fri Jan  7 2011 Steve 'Ashcrow' Milner <me@stevemilner.org> - 0.6.2-1
- Update for patch release (see CHANGELOG)

* Mon Jan  3 2011 Steve 'Ashcrow' Milner <me@stevemilner.org> - 0.5.1-2
- Fixed missing dep per BZ#665297

* Wed Dec 29 2010 Steve 'Ashcrow' Milner <me@gnulinux.net> - 0.5.1-1
- Update for patch release (see CHANGELOG)

* Wed Dec 29 2010 Steve 'Ashcrow' Milner <me@gnulinux.net> - 0.5-1
- Update for upstream release (see CHANGELOG)

* Tue Dec 14 2010 Steve 'Ashcrow' Milner <me@gnulinux.net> - 0.4.1-3
- Added name macro to sitelib file entry

* Wed Dec  8 2010 Steve 'Ashcrow' Milner <me@gnulinux.net> - 0.4.1-2
- Updated for items found in Fedora review

* Wed Dec  8 2010 Steve 'Ashcrow' Milner <me@gnulinux.net> - 0.4.1-1
- Initial spec
